Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create new product-model category

Prev Next
Post
/inventory/productModelCategories

Creates a new product-model category, used to organize the product catalogue and to drive its navigation.
Categories can be nested by valorising the parentId field, so as to build a tree of categories.

Required permissions: READ_PRODUCT_MODEL, WRITE_PRODUCT_MODEL.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The details of the product-model category being created.

object
name
string Required

The category name.

parentId
string

The id of the parent category to which the category belongs.

Responses
201

Successful creation.

object
name
string

The category name.

parentId
string

The id of the parent category to which the category belongs.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error